Products - List
獲取商業公共產品清單。
GET https://catalogapi.azure.com/products?api-version=2023-05-01-preview
GET https://catalogapi.azure.com/products?api-version=2023-05-01-preview&storefront={storefront}&language={language}&locations={locations}&market={market}&hideKeys={hideKeys}&select={select}&filter={filter}&expand={expand}&orderby={orderby}
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
用於要求的 REST API 版本。 |
|
expand
|
query |
string[] |
內嵌展開相關的實體。 範例:'expand=startingPrice' |
|
|
filter
|
query |
string |
根據布爾值條件篩選結果。 範例:'filter=productType eq “VirtualMachine”'。 可以篩選的欄位如下:
|
|
|
hide
|
query |
string[] |
此密鑰可用來擷取預覽產品,並在供應專案發佈程式期間於合作夥伴中心內產生。 |
|
|
language
|
query |
string |
要搜尋的語言,ISO 639-1 雙字母代碼,可能的值 - 'en,cs,de,es,fr,胡,it,ja,ko,nl,pl,pt-br,pt-pt,ru,sv,tr,zh-hans,zh-hant'。 默認值為 “en” |
|
|
locations
|
query |
string[] |
傳回所選位置中可用的產品。 Azure 資料中心區域的列舉。 請參閱 https://azure.microsoft.com/regions/ |
|
|
market
|
query |
string |
產品市場價值(回應將只包含可在指定市場銷售的產品)可能的值可以在 https://docs.microsoft.com/en-us/azure/marketplace/marketplace-geo-availability-currencies找到。 範例:'US' |
|
|
orderby
|
query |
string |
使用 OData 表示法排序結果的表達式。 除非必要,否則請避免使用 orderby,因為這可能會影響要求的延遲。 範例:'orderby=displayName desc'。此 API 僅支援依單一欄位排序。 可依下列方式排序的欄位:
|
|
|
select
|
query |
string[] |
選取要包含在結果中的屬性。 範例:'select=displayName' |
|
|
storefront
|
query |
string |
傳回 Azure 入口網站 Marketplace、AppSource 或 Azure Marketplace 入口網站中可用的產品。 可能的值為:
|
要求標頭
| 名稱 | 必要 | 類型 | Description |
|---|---|---|---|
| X-API-Key | True |
string |
使用 Marketplace 目錄小組提供的 Api 金鑰作為標頭中提供的參數 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
傳回公開或預覽產品的清單 |
|
| Other Status Codes |
錯誤回應:
標題 x-ms-error-code: string |
範例
List_Products
範例要求
GET https://catalogapi.azure.com/products?api-version=2023-05-01-preview&language=en&market=US
範例回覆
{
"items": [
{
"displayName": "productDisplayName",
"popularity": 1,
"categoryIds": [
"monitoring-and-diagnostics",
"virtualMachine"
],
"industryIds": [
"consumer-goods",
"retailers"
],
"publisherId": "Microsoft",
"azureBenefit": "Eligible",
"badges": [
"ExternalPurchase"
],
"publisherType": "Microsoft",
"publishingStage": "Public",
"uniqueProductId": "uniqueProductId",
"productType": "VirtualMachine",
"productSubType": "Azure",
"operatingSystems": [
"windows.others"
],
"pricingTypes": [
"Payg"
],
"publisherDisplayName": "Microsoft",
"longSummary": "longSummary",
"summary": "summary",
"smallIconUri": "SomeIconUri",
"description": "productDescription",
"ratingBuckets": [
"AboveOne"
],
"ratingAverage": 0,
"ratingCount": 0,
"plans": [
{
"planId": "plan1Id",
"uniquePlanId": "uniquePlan1Id",
"displayName": "displayName",
"vmArchitectureType": "X64Gen1",
"cspState": "SelectiveOptIn",
"metadata": {
"generation": null,
"altStackReference": null
},
"altStackReference": "altStackReference",
"stackType": "Classic",
"altArchitectureReference": "altArchitectureReference",
"categoryIds": [],
"hasProtectedArtifacts": false,
"pricingTypes": [
"Payg"
],
"vmSecuritytypes": [
"None"
],
"summary": "PlanSummary",
"description": "plan description",
"skuId": "0001",
"planType": "VirtualMachine",
"displayRank": "2147483647",
"isPrivate": false
}
],
"supportedProducts": [
"suportedProduct1"
],
"applicableProducts": [
"applicableProduct1"
],
"locations": [
"EU North"
],
"serviceFamily": "service family",
"service": "service name",
"productId": "product id",
"hasMarketplaceFootprint": true,
"attributes": null,
"lastModifiedDateTime": "2022-02-14T23:31:25.5733368+00:00"
},
{
"displayName": "display name",
"popularity": 0,
"publisherId": "Microsoft",
"azureBenefit": "NotEligible",
"publisherType": "Microsoft",
"productType": "AzureServices",
"productSubType": "Azure",
"pricingTypes": [],
"publisherDisplayName": "Microsoft",
"description": "description",
"locations": [
"US West 2",
"UK South",
"BR South"
],
"serviceFamily": "Compute",
"service": "Virtual Machines",
"productId": "product id",
"hasMarketplaceFootprint": false,
"attributes": [
{
"key": "attr1",
"value": "val1"
}
]
}
],
"nextPageLink": "https://catalogapi.azure.com/products?api-version=2023-05-01-preview&$skiptoken=W3s..."
}
定義
| 名稱 | Description |
|---|---|
| Attribute |
表示 SKU 屬性,其中包含索引鍵和值。 屬性可能會因各種服務而異。 |
|
Azure |
Azure 使用量承諾權益的資格(https://docs.microsoft.com/en-us/marketplace/azure-consumption-commitment-benefit)。 可能的值:
|
| Badge |
徽章類型 |
|
Catalog |
回應頁面是由 Product 物件清單所組成,其中包含產品屬性的子集,以及下一頁連結。 通常清單中傳回的產品屬性是用來建置 Marketplace 資源庫的產品磚。 注意:注意 每頁傳回的項目數上限為 100。 在效能優化的特定案例中,請連絡 Microsoft Marketplace 小組 MKPL_Platform_API_DL@microsoft.com |
|
Csp |
值,顯示方案是否可供透過 CSP 通道購買。 可能的值:
|
|
Error |
API 錯誤回應物件 |
|
Error |
API 錯誤回應詳細資料物件 |
| Metadata |
展開的計劃/SKU 元數據。 |
|
Plan |
指向相關的 SKU 物件 |
|
Plan |
傳回 Plan 屬性的子集 |
|
Plan |
受控應用程式或解決方案範本方案類型(僅適用於 Azure 應用程式產品)。 可能的值:
|
|
Pricing |
定價類型 |
|
Product |
傳回 Product 屬性的子集 |
|
Product |
傳遞方法或部署模型。 可能的值:
|
|
Publisher |
值,指出這是Microsoft或第三方產品。 可能的值:
|
|
Publishing |
產品發佈階段。 可能的值:
|
|
Rating |
評等值區 |
| Sku |
貨號 |
|
Starting |
產品最便宜方案的零售價格 |
|
Vm |
VM 架構類型。 僅適用於虛擬機產品。 可能的值:
|
|
Vm |
VM 安全性類型。 僅適用於虛擬機產品。 可能的值:
|
Attribute
表示 SKU 屬性,其中包含索引鍵和值。 屬性可能會因各種服務而異。
| 名稱 | 類型 | Description |
|---|---|---|
| key |
string |
屬性索引鍵 |
| value |
string |
屬性值 |
AzureBenefit
Azure 使用量承諾權益的資格(https://docs.microsoft.com/en-us/marketplace/azure-consumption-commitment-benefit)。 可能的值:
-
Eligible- 產品符合 Azure 使用量承諾權益的資格 -
NotEligible- 產品不符合 Azure 使用量承諾權益的資格
| 值 | Description |
|---|---|
| Eligible | |
| NotEligible |
Badge
徽章類型
| 值 | Description |
|---|---|
| PreferredSolution | |
| PowerBICertified | |
| AdditionalPurchaseRequirement |
CatalogApiResponse
回應頁面是由 Product 物件清單所組成,其中包含產品屬性的子集,以及下一頁連結。 通常清單中傳回的產品屬性是用來建置 Marketplace 資源庫的產品磚。 注意:注意 每頁傳回的項目數上限為 100。 在效能優化的特定案例中,請連絡 Microsoft Marketplace 小組 MKPL_Platform_API_DL@microsoft.com
| 名稱 | 類型 | Description |
|---|---|---|
| items |
傳回項目的清單 |
|
| nextPageLink |
string (uri) |
連結至下一頁,其中要求會傳回超過單一頁面的結果 |
CspState
值,顯示方案是否可供透過 CSP 通道購買。 可能的值:
-
OptIn- 針對 CSP 計劃中的任何合作夥伴規劃已設定的 CSP 計劃加入加入 -
Optout- 規劃設定的 CSP 計劃退出 -
SelectiveOptIn- 規劃 CSP 計劃為 CSP 計劃 ISV 選取的特定合作夥伴選擇加入 CSP 計劃。 如需詳細資訊,請參閱 https://docs.microsoft.com/en-us/azure/marketplace/cloud-solution-providers
| 值 | Description |
|---|---|
| OptIn | |
| OptOut | |
| SelectiveOptIn |
ErrorResponse
API 錯誤回應物件
| 名稱 | 類型 | Description |
|---|---|---|
| error |
API 回應詳細數據 |
ErrorResponseDetails
API 錯誤回應詳細資料物件
| 名稱 | 類型 | Description |
|---|---|---|
| code |
string |
錯誤碼描述。 例如 code=InternalError |
| message |
string |
錯誤訊息。 例如 message=內部伺服器錯誤 |
Metadata
展開的計劃/SKU 元數據。
| 名稱 | 類型 | Description |
|---|---|---|
| altStackReference |
string |
指向保存替代堆疊參考的 planId |
| generation |
string |
VM 映射產生(僅適用於虛擬機產品)。請參閱 https://docs.microsoft.com/en-us/azure/virtual-machines/generation-2 |
| relatedSkus |
指向與此計劃相關的計劃標識碼 |
PlanSkuRelation
指向相關的 SKU 物件
| 名稱 | 類型 | Description |
|---|---|---|
| relationType |
string |
關聯類型 |
| sku |
貨號 |
PlanSummary
傳回 Plan 屬性的子集
| 名稱 | 類型 | Description |
|---|---|---|
| altArchitectureReference |
string |
替代架構參考 |
| altStackReference |
string |
替代堆疊參考 |
| categoryIds |
string[] |
方案 CategoryIds |
| cspState |
值,顯示方案是否可供透過 CSP 通道購買。 可能的值:
|
|
| description |
string |
方案/ sku 描述 |
| displayName |
string |
方案 / sku 的顯示名稱 |
| displayRank |
string |
計劃的順序會顯示在 [計劃] 資料表中(如發行者所設定) |
| hasProtectedArtifacts |
boolean |
如果計劃具有非已驗證用戶隱藏的成品,請將 設定為 true |
| hasRI |
boolean |
指示 SKU 是否支援保留 |
| isPrivate |
boolean |
指示只有受限制的物件才能存取方案 |
| metadata |
展開的計劃/SKU 元數據。 |
|
| planId |
string |
方案標識碼 |
| planType |
受控應用程式或解決方案範本方案類型(僅適用於 Azure 應用程式產品)。 可能的值:
|
|
| pricingTypes |
指定此機制的價格類型清單(可能的值與產品層級相同) |
|
| skuId |
string |
SKU 標識碼 |
| stackType |
string |
堆疊類型:傳統、Gen1、Gen2 |
| summary |
string |
計劃摘要文字 |
| uniquePlanId |
string |
唯一計劃標識碼,其前置詞是結合 uniqueProductId 和 PlanId,且兩者之間沒有分隔符 |
| vmArchitectureType |
VM 架構類型。 僅適用於虛擬機產品。 可能的值:
|
|
| vmSecuritytypes |
VM 安全性類型。 僅適用於虛擬機產品。 可能的值:
|
PlanType
受控應用程式或解決方案範本方案類型(僅適用於 Azure 應用程式產品)。 可能的值:
-
SolutionTemplate- 解決方案範本機制類型(僅適用於 Azure 應用程式) -
ManagedApplication- 受控應用程式機制類型(僅適用於 Azure 應用程式)
PricingType
定價類型
| 值 | Description |
|---|---|
| Free | |
| FreeTrial | |
| Byol | |
| Payg | |
| Ri |
ProductSummary
傳回 Product 屬性的子集
| 名稱 | 類型 | Description |
|---|---|---|
| applicableProducts |
string[] |
供應專案所屬的產品類別 |
| attributes |
一組產品屬性(依產品類型而有所不同),其中每個屬性都以一對索引鍵(屬性名稱)和 value(屬性值)來表示。 |
|
| azureBenefit |
Azure 使用量承諾權益的資格(https://docs.microsoft.com/en-us/marketplace/azure-consumption-commitment-benefit)。 可能的值:
|
|
| badges |
Badge[] |
下列產品徽章可供使用:preferredSolution、powerBICertified、AdditionalPurchaseRequirement |
| categoryIds |
string[] |
產品類別的陣列,https://docs.microsoft.com/en-us/azure/marketplace/marketplace-categories-industries#categories。 例如「生產力」 |
| cspLegalTermsUri |
string |
CSP 產品的法律條款 |
| description |
string |
產品描述文字 |
| displayName |
string |
產品顯示名稱 |
| hasMarketplaceFootprint |
boolean |
指示產品是否在市集中有表示法 |
| hasRIPlans |
boolean |
指示產品是否有保留方案 |
| industryIds |
string[] |
專案所屬的產業標識碼清單 |
| lastModifiedDateTime |
string (date-time) |
產品的最新更新日期 |
| linkedAddInsTypes |
object |
連結的載入巨集類型 |
| locations |
string[] |
SKU 上可用的位置清單 |
| longSummary |
string |
產品完整摘要 |
| operatingSystems |
string[] |
此產品的作系統資訊 |
| plans |
此產品可用的方案清單 |
|
| popularity |
number (double) |
產品的受歡迎程度 |
| pricingTypes |
指定此供應項目的定價類型清單。 可能的值:
|
|
| privacyPolicyUri |
string |
產品的隱私策略 |
| productFamily |
string |
產品系列 |
| productId |
string |
產品的唯一標識碼 |
| productSubType |
string |
產品子類型 |
| productType |
傳遞方法或部署模型。 可能的值:
|
|
| publisherDisplayName |
string |
發行者顯示名稱 |
| publisherId |
string |
發行者標識碼 |
| publisherType |
值,指出這是Microsoft或第三方產品。 可能的值:
|
|
| publishingStage |
產品發佈階段。 可能的值:
|
|
| ratingAverage |
number (double) |
供應專案的平均評等 |
| ratingBuckets |
評等值區、Above1、Above2、Above3、Above4 |
|
| ratingCount |
integer (int32) |
供應項目的評等總數 |
| service |
string |
產品的服務名稱,例如「虛擬機」 |
| serviceFamily |
string |
產品的服務系列,例如 「計算」 |
| smallIconUri |
string |
小型產品圖示的URI |
| startingPrice |
產品最便宜方案的零售價格 |
|
| summary |
string |
產品摘要 |
| supportedProducts |
string[] |
對應至發行者提供的相容產品清單 |
| uniqueProductId |
string |
唯一的產品標識碼 |
ProductType
傳遞方法或部署模型。 可能的值:
-
SaaS- 產品是以隨用隨付方式從雲端服務提供者購買的軟體解決方案 -
VirtualMachine- 產品是以使用量為基礎的定價的映像服務實例 -
AzureApplication- 發佈為解決方案範本 (ST) 或 Azure 受控應用程式 (AMA) 方案的產品,以將 Azure 資源部署到客戶租使用者 -
DynamicsCE- DynamicsBC 和 DynamicsOps 以外的所有 Dynamics 產品 -
DynamicsBC- Dynamics 365 業務中心 -
Container- 產品會以容器的形式傳遞 -
DynamicsOps- Dynamics 365 Operations 應用程式 -
None- 針對 Azure 服務、容器擴充功能和 VM 擴充功能傳回的產品類型 -
IotEdgeModules- 資源會以IoT Edge模組的形式傳遞 -
ContainerApps- 資源會以容器應用程式的形式傳遞 -
ConsultingServices諮詢服務(僅適用於 Azure Marketplace 作為清單供應專案) -
ManagedServices- 產品會以受控服務的形式傳遞 -
PowerBI- Power BI 產品 -
CosellOnly- 僅適用於 Co-Sell 計劃範圍內的產品 -
PowerBIVisuals- Power BI 視覺效果產品 -
Office365- Office 365 產品 -
DevService- 開發服務 -
AADApps- Azure Active Directory 應用程式 -
VisualStudioExtension- Visual Studio 延伸模組 -
SolutionTemplate- 解決方案範本機制類型(僅適用於 Azure 應用程式) -
ManagedApplication- 受控應用程式機制類型(僅適用於 Azure 應用程式) -
MicrosoftProduct- 第一方 Azure 產品
| 值 | Description |
|---|---|
| None | |
| DevService | |
| ManagedApplication | |
| VirtualMachine | |
| AzureApplication | |
| Container | |
| SaaS | |
| SolutionTemplate | |
| IotEdgeModules | |
| ManagedServices | |
| ContainerApps | |
| VisualStudioExtension | |
| DynamicsOps | |
| DynamicsCE | |
| DynamicsBC | |
| PowerBI | |
| ConsultingServices | |
| CosellOnly | |
| CoreVirtualMachine | |
| PowerBIVisuals | |
| Office365 | |
| AADApps | |
| AzureServices | |
| AppService | |
| LogAnalytics | |
| MicrosoftProduct |
PublisherType
值,指出這是Microsoft或第三方產品。 可能的值:
-
Microsoft- 產品由Microsoft發行(第一方產品) -
Third Party- 產品是由第三方廠商發佈
| 值 | Description |
|---|---|
| Microsoft | |
| ThirdParty |
PublishingStage
產品發佈階段。 可能的值:
-
Preview- 產品可供限制的物件使用 -
Public- 產品已在 Marketplace 中公開提供
| 值 | Description |
|---|---|
| Preview | |
| Public |
RatingBucket
評等值區
| 值 | Description |
|---|---|
| AboveOne | |
| AboveTwo | |
| AboveThree | |
| AboveFour |
Sku
貨號
| 名稱 | 類型 | Description |
|---|---|---|
| generation |
string |
世代 |
| identity |
string |
身分識別 |
| name |
string |
名稱 |
StartingPrice
產品最便宜方案的零售價格
| 名稱 | 類型 | Description |
|---|---|---|
| currency |
string |
價格貨幣 |
| market |
string |
計算起始價的市場 |
| meterUnits |
string |
計量定價模式單位 |
| minMeterPrice |
number |
開始 (最小) 米價格 |
| minTermPrice |
number |
開始(最低)條款價格 |
| termUnits |
string |
條款定價模式單位 |
VmArchitectureType
VM 架構類型。 僅適用於虛擬機產品。 可能的值:
-
Arm64- 方案的 VM 映射架構為 Arm64 -
X64Gen1- 方案的 VM 映射架構為 X64 Generation1 -
X64Gen2- 方案的 VM 映射架構為 X64 Generation2
| 值 | Description |
|---|---|
| X64Gen1 | |
| X64Gen2 | |
| Arm64 |
VmSecurityType
VM 安全性類型。 僅適用於虛擬機產品。 可能的值:
- 標準 - 虛擬機的基本安全性層級
- 受信任 - 使用安全性開機和虛擬信任平臺模組(vTPM) 等可設定功能,防止 Gen2 虛擬機的持續和進階攻擊
- 機密 - 在受信任的啟動之上,機密虛擬機提供更高的機密性和完整性,並保證硬體型信任執行環境
| 值 | Description |
|---|---|
| None | |
| Trusted | |
| Confidential |